using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts;

public interface IAssemblyBusinessLogicContract
{
    List<AssemblyViewModel>? ReadList(AssemblyBindingModel? model);
    AssemblyViewModel? ReadElement(AssemblyBindingModel model);
    void Create(AssemblyBindingModel model);
    void Update(AssemblyBindingModel model);
    void Delete(AssemblyBindingModel model);
}
